Loading...
Searching...
No Matches
construct_ibf.hpp File Reference

Provides raptor::hibf::construct_ibf. More...

`#include <robin_hood.h>`
`#include <raptor/argument_parsing/build_arguments.hpp>`
`#include <raptor/build/hibf/build_data.hpp>`

Go to the source code of this file.

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
seqan3::interleaved_bloom_filter | raptor::hibf::construct_ibf (robin_hood::unordered_flat_set< size_t > &parent_kmers, robin_hood::unordered_flat_set< size_t > &kmers, size_t const number_of_bins, lemon::ListDigraph::Node const &node, build_data< data_layout_mode > &data, build_arguments const &arguments, bool is_root)

## Detailed Description

Provides raptor::hibf::construct_ibf.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>